kernel Ayer mismo se publico la segunda versión de mantenimiento del kernel 3.16, siendo esta la 3.16.2, la cual explicaremos como instalar en su versión normal y la de baja latencia.

Información útil:

¿Qué es y para que se usa el Kernel de baja latencia? (lowlatency)

¿Como eliminar los Kernels antiguos en Debian, Ubuntu y derivados?

¿Como eliminar los Kernels antiguos en Fedora y derivados?

Novedades:

En esta nueva versión de mantenimiento nos podemos encontrar con la actualización del driver de Alsa, diversos drivers de tarjetas de red, mejoras de rendimiento y correcciones de bugs detectados.

Para más información visita el anuncio oficial: Anuncio kernel 3.16.2

Esta instalación es valida para Ubuntu, Mint y Debian para sistemas de 32 Bits, serían a través de una terminal con las siguientes ordenes, primero descargamos los paquetes:

Versión normal (32bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602_3.16.2-031602.201409052035_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602-generic_3.16.2-031602.201409052035_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-image-3.16.2-031602-generic_3.16.2-031602.201409052035_i386.deb

Versión de baja latencia para el kernel (lowlatency) (32bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602_3.16.2-031602.201409052035_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602-lowlatency_3.16.2-031602.201409052035_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-image-3.16.2-031602-lowlatency_3.16.2-031602.201409052035_i386.deb

Y finalmente, los instalamos con:

$ sudo dpkg -i linux-headers-3.16.2*.deb linux-image-3.16.2*.deb

Para su instalación en sistemas de 64 Bits, descargamos con:

Versión normal (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602_3.16.2-031602.201409052035_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-image-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb

Versión de baja latencia para el kernel (lowlatency) (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602_3.16.2-031602.201409052035_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-headers-3.16.2-031602-lowlatency_3.16.2-031602.201409052035_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.16.2-utopic/linux-image-3.16.2-031602-lowlatency_3.16.2-031602.201409052035_amd64.deb

E instalamos también con:

$ sudo dpkg -i linux-headers-3.16.2*.deb linux-image-3.16.2*.deb

Reiniciamos el sistema, y seccionamos la versión con la que queramos iniciar en el GRUB o BURG.

Fuente: Kernel – Ubuntu.

11
Deja una respuesta

avatar
3 Hilos de comentario
8 Respuestas de hilo
0 Seguidores
 
Comentario más reaccionado
El hilo de comentarios más caliente
4 Autores de comentarios
Victor Manuel Castañeda MartinezNoelGersonYoyo Autores de comentarios recientes
  Suscribirse  
Los más recientes Los más antiguos Más votados
Notificarme las
Victor Manuel Castañeda Martinez
Invitado

Noel, porque no me aparece el grub al inicio?, arranca bien el sistema y en la terminal me muestra que tengo actualizado el kernel, pero me queda la duda del grub al inicio, asi no puedo elegir si quiero trabajar con un kernel anterior.

Gerson
Miembro

Después de hacerlo tanto en Netrunner 14 Frontier como en Kubuntu 14.04 (ambos de 64) me sale en la terminal lo siguiente:

(Leyendo la base de datos … 258171 ficheros o directorios instalados actualmente.)
Preparing to unpack linux-headers-3.16.2-031602_3.16.2-031602.201409052035_all.deb …
Unpacking linux-headers-3.16.2-031602 (3.16.2-031602.201409052035) over (3.16.2-031602.201409052035) …
dpkg: error al procesar el archivo linux-headers-3.16.2-031602_3.16.2-031602.201409052035_all.deb (–install):
no se pudo crear /usr/src/linux-headers-3.16.2-031602/drivers/pinctrl/berlin/Makefile.dpkg-new' (mientras se procesaba ./usr/src/linux-headers-3.16.2-031602/drivers/pinctrl/berlin/Makefile’): No queda espacio en el dispositivo
dpkg-deb: error: el subproceso copiado fue terminado por la señal (Tubería rota)
Preparing to unpack linux-headers-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb …
Unpacking linux-headers-3.16.2-031602-generic (3.16.2-031602.201409052035) …
dpkg: error al procesar el archivo linux-headers-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb (–install):
error al crear el directorio ./usr/src/linux-headers-3.16.2-031602-generic/include/config/cb710/debug': No queda espacio en el dispositivo
dpkg-deb: error: el subproceso copiado fue terminado por la señal (Tubería rota)
Seleccionando el paquete linux-image-3.16.2-031602-generic previamente no seleccionado.
Preparing to unpack linux-image-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb ...
Done.
Unpacking linux-image-3.16.2-031602-generic (3.16.2-031602.201409052035) ...
dpkg: error al procesar el archivo linux-image-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb (--install):
no se pudo crear
/lib/modules/3.16.2-031602-generic/kernel/drivers/power/lp8727_charger.ko.dpkg-new’ (mientras se procesaba `./lib/modules/3.16.2-031602-generic/kernel/drivers/power/lp8727_charger.ko’): No queda espacio en el dispositivo
dpkg-deb: error: el subproceso copiado fue terminado por la señal (Tubería rota)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.16.2-031602-generic /boot/vmlinuz-3.16.2-031602-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.16.2-031602-generic /boot/vmlinuz-3.16.2-031602-generic
Se encontraron errores al procesar:
linux-headers-3.16.2-031602_3.16.2-031602.201409052035_all.deb
linux-headers-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb
linux-image-3.16.2-031602-generic_3.16.2-031602.201409052035_amd64.deb

Creo que solo llego al kernel 3.14.16 que es el que tengo instalado actualmente.
Cada vez que quiero hacer un upgrade de kernel me salen esos errores, aún teniendo más de 15 GB libres en (/) y 20 GB en (home) y de solo tener el kernel 3.13.35 y el 3.14.16 instalados y eliminados todos los anteriores.

Yoyo
Invitado

Miara a ver si tienes muy llena la papelera del root, puedes vaciarla con

sudo rm -rf ~/.local/share/Trash/*

Gerson
Miembro

Gracias Yoyo, tengo todas las papeleras vacías, revisé y hay espacio suficiente, bajé de nuevo los archivos y al instalar me sigue saliendo ese error y no instala el 3.16.2 de 64

Yoyo
Invitado

En KaOS

sudo pacman -Syyu

And enjoy 😉